org.apache.xmlbeans.impl.schema

## Class SchemaModelGroupImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaModelGroupImpl

- All Implemented Interfaces:
    SchemaAnnotated, SchemaComponent, SchemaModelGroup

      public class SchemaModelGroupImpl
      extends Object
      implements SchemaModelGroup

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.SchemaModelGroup

      `SchemaModelGroup.Ref`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

      `ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaModelGroupImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container)`
    `SchemaModelGroupImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container, QName name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaAnnotation` | `getAnnotation()` Returns the Schema annotation object or null if none present
    `String` | `getAttFormDefault()`
    `String` | `getChameleonNamespace()`
    `SchemaComponent.Ref` | `getComponentRef()` Used for on-demand loading of schema components.
    `int` | `getComponentType()` Returns SchemaComponent.GROUP.
    `String` | `getElemFormDefault()`
    `QName` | `getName()` The name of the model group.
    `XmlObject` | `getParseObject()`
    `SchemaModelGroup.Ref` | `getRef()`
    `String` | `getSourceName()` The name of resource that represends the source .xsd in which this component was defined (if known) See: `SchemaTypeLoader.getSourceAsStream(String)` Example:
    `String` | `getTargetNamespace()`
    `SchemaTypeSystem` | `getTypeSystem()` Returns the typesystem within which this component definition resides
    `Object` | `getUserData()` Returns user-specific information.
    `void` | `init(QName name, String targetNamespace, boolean chameleon, String elemFormDefault, String attFormDefault, boolean redefinition, XmlObject x, SchemaAnnotation a, Object userData)`
    `boolean` | `isRedefinition()`
    `void` | `setFilename(String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaModelGroupImpl

          public SchemaModelGroupImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container)

    - #### SchemaModelGroupImpl

          public SchemaModelGroupImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container,
                                      QName name)

  - ### Method Detail

    - #### init

          public void init(QName name,
                           String targetNamespace,
                           boolean chameleon,
                           String elemFormDefault,
                           String attFormDefault,
                           boolean redefinition,
                           XmlObject x,
                           SchemaAnnotation a,
                           Object userData)

    - #### getTypeSystem

          public SchemaTypeSystem getTypeSystem()

      Description copied from interface: `SchemaComponent`
      Returns the typesystem within which this component definition resides
      Specified by:
        `getTypeSystem` in interface `SchemaComponent`

    - #### getComponentType

          public int getComponentType()

      Description copied from interface: `SchemaModelGroup`
      Returns SchemaComponent.GROUP.
      Specified by:
        `getComponentType` in interface `SchemaComponent`
      Specified by:
        `getComponentType` in interface `SchemaModelGroup`

    - #### setFilename

          public void setFilename(String filename)

    - #### getSourceName

          public String getSourceName()

      Description copied from interface: `SchemaComponent`
      The name of resource that represends the source .xsd in which this component was defined (if known)
      See: `SchemaTypeLoader.getSourceAsStream(String)`
      Example:

             SchemaType schemaType = ..;
             InputStream is = schemaType.getTypeSystem().getSourceAsStream(schemaType.getSourceName());

      Specified by:
        `getSourceName` in interface `SchemaComponent`

    - #### getName

          public QName getName()

      Description copied from interface: `SchemaModelGroup`
      The name of the model group.
      Specified by:
        `getName` in interface `SchemaComponent`
      Specified by:
        `getName` in interface `SchemaModelGroup`

    - #### getParseObject

          public XmlObject getParseObject()

    - #### getTargetNamespace

          public String getTargetNamespace()

    - #### getChameleonNamespace

          public String getChameleonNamespace()

    - #### getElemFormDefault

          public String getElemFormDefault()

    - #### getAttFormDefault

          public String getAttFormDefault()

    - #### isRedefinition

          public boolean isRedefinition()

    - #### getAnnotation

          public SchemaAnnotation getAnnotation()

      Description copied from interface: `SchemaAnnotated`
      Returns the Schema annotation object or null if none present
      Specified by:
        `getAnnotation` in interface `SchemaAnnotated`

    - #### getRef

          public SchemaModelGroup.Ref getRef()

    - #### getComponentRef

          public SchemaComponent.Ref getComponentRef()

      Description copied from interface: `SchemaComponent`
      Used for on-demand loading of schema components.
      Specified by:
        `getComponentRef` in interface `SchemaComponent`

    - #### getUserData

          public Object getUserData()

      Description copied from interface: `SchemaModelGroup`
      Returns user-specific information.
      Specified by:
        `getUserData` in interface `SchemaModelGroup`
      See Also:
        `SchemaBookmark`